// Copyright 2002-2014, University of Colorado Boulder

/**
 * A simple test harness intended for use during development, meant to be modified as needed to run simple, standalone
 * tests.  In most cases, modifications to this file shouldn't be checked in.
 */

/* jslint node: true */
// allows "process" to pass lint instead of getting an undefined lint error

// Load RequireJS
var requirejs = require( '../node_modules/requirejs/bin/r.js' );

requirejs.config( {
  // Pass the top-level main.js/index.js require function to requirejs so that node modules are loaded relative to the
  // top-level JS file.
  nodeRequire: require
} );

// Sanity check the arguments by looking at the first one and making sure that it contains 'node'.
if ( process.argv[ 0 ].indexOf( 'node' ) === -1 ) {
  throw new Error( 'Arguments are not correct, aborting.' );
}

// Extract the relevant arguments.  Args 0 and 1 are 'node' and the JS entry point file, and aren't needed.
var args = process.argv.slice( 2 );

// Execute the test.
requirejs( [ 'RipperUtils' ],
  function( RipperUtils ) {
    'use strict';
    RipperUtils.tempTest();
  }
);
